@import "@/styles/variables";

.wrapper {
    position: absolute;
    background: $white;
    z-index: 1000;
    max-height: 350px;
    overflow-y: auto;
    border-radius: 12px;
    padding: 24px;
    width: 346px;
    right: 0.5rem;
    bottom: 7rem;

    @include notebook {
        width: 359px;
        bottom: 12.75rem;
        right: 1.5rem;
        max-height: max-content;
    }

    h2 {
        color: $white;
    }

    &::-webkit-scrollbar-thumb {
        background-color: rgb(255 255 255 / 40%);
    }

    @include shadow-dropdown;
}

.close {
    position: absolute;
    top: 24px;
    right: 24px;
    font-size: 36px;
    line-height: 36px;
    color: $white;
    cursor: pointer;

    svg {
        path:first-of-type {
            fill: $gray-200;
            transition: fill 0.3s;
        }

        &:hover path:first-of-type {
            fill: $gray-500;
        }

        &:active path:first-of-type {
            fill: $gray-500;
        }
    }
}

.content {
    padding: 24px;
    color: $white;
}

.error {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    color: $color-error;
}
